/* vim: set ai ts=8 sw=4 sts=4 noet: */
#ifndef __CALLBACKS_H__
#define __CALLBACKS_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS
    void
on_add_playlist_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_remove_playlist_item_activate(GtkMenuItem * menuitem,
				 gpointer user_data);
void on_add_file_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_add_directory_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_add_location_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_import_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_export_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_quit_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_cut_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_copy_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_paste_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_clear_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_select_all_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_select_none_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_invert_selection_item_activate(GtkMenuItem * menuitem,
				  gpointer user_data);
void
on_properties_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_preferences_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_configure_effects_item_activate(GtkMenuItem * menuitem,
				   gpointer user_data);
void on_previous_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_start_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_pause_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_stop_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_next_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_shuffle_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_repeat_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_use_effects_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_volume_up_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_volume_down_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_mute_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_compact_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_visualizer_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_sidebar_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_playlist_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_statusbar_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_jump_to_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_locate_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void
on_view_refresh_item_activate(GtkMenuItem * menuitem, gpointer user_data);
void on_about_item_activate(GtkMenuItem * menuitem, gpointer user_data);

gchar *on_position_hscale_format_value(GtkScale * scale,
				       gdouble value, gpointer user_data);
void
on_position_hscale_value_changed(GtkRange * range, gpointer user_data);

void on_previous_btn_clicked(GtkButton * button, gpointer user_data);
void on_start_btn_clicked(GtkButton * button, gpointer user_data);
void on_pause_btn_clicked(GtkButton * button, gpointer user_data);
void on_stop_btn_clicked(GtkButton * button, gpointer user_data);
void on_next_btn_clicked(GtkButton * button, gpointer user_data);
void on_shuffle_btn_clicked(GtkButton * button, gpointer user_data);
void on_repeat_btn_clicked(GtkButton * button, gpointer user_data);
void on_mute_btn_clicked(GtkButton * button, gpointer user_data);
void on_volume_hscale_value_changed(GtkRange * range, gpointer user_data);

void
on_sidebar_properties_item_activate(GtkMenuItem * menuitem,
				    gpointer user_data);
void
on_playlist_properties_item_activate(GtkMenuItem * menuitem,
				     gpointer user_data);

G_END_DECLS
#endif /*__STOCK_H__*/
